apiVersion: apps/v1
kind: Deployment
metadata:
  name: static-file-server
  labels:
    app: static-file-server
spec:
  replicas: 1
  selector:
    matchLabels:
      app: static-file-server
  template:
    metadata:
      labels:
        app: static-file-server
    spec:
      containers:
        - name: static-file-server
          image: w0gitcicd01.grupobisa.net:5050/hfchoque/banco-bisa-sources:$VERSION
          ports:
            - containerPort: 3005
          imagePullPolicy: Always
      imagePullSecrets:
        - name: gitlab-registry
  script:
    - export